# Abilities

This document is just going to be for a bunch of ideas that we're gonna throw at the wall and see what sticks. Ideally each ability will be unique enough, perhaps have multiple uses both inside and outside of combat, and be used for progression.

## Dissolve food
(Unlocked by default.)  
Digests [held](#hold) item over time to regain health and possibly gain temporary effects.

### Upgrade: Dissolve materials

- Can digest various materials to gain temporary effects.
- Unlocks melting down wooden barricades, doors and similar.

### Upgrade: Dissolve metals

- Can digest precious metals to gain temporary effects, such as higher defense.
- Unlocks melting down metal locks.

## Hold

(Unlocked by default.)  
Allows you to hold onto a single item at a time, using or dropping it later. Any items held onto like this will be dropped when squeezing through tight spots in [blob form](forms.md#blob).

With enough body mass, the amount of items that can be hold onto, increases, unlocking access to the inventory system. Some equipment such as clothes in [humanoid](forms.md#humanoid) or [human](forms.md#human) forms can also increase the maximum inventory size.

### Upgrade: Memory

- Allows certain items to be assimilated into your body, depending on [dissolve ability](#dissolve-food).
- They can be re-created at any time, essentially increasing your inventory dramatically.
- These items don't get left behind when squeezing through tight spots in [blob form](forms.md#blob).
- (Unsure about the name of this ability.)

## Splash

Ejects some of your mass to fire out a ball of slime that can hit, damage and push back enemies, or objects. This reduces your health and requires you to pick it back up, or eat food to get it back. May also be used to lure a target away by making a distracting sound?

### Upgrade: Shard

- Requires you to have recently eaten metal, or have the ice upgrade?  
- Allows you to cut soft material such as ropes.  
- Chance to cause enemies to bleed, causing damage over time. Can stack.  
- Can kill if used excessively on a low-health enemy.

## Heal

Allows you to heal other creatures, and humans.

- Similar to [poison](#poison), accumulate healing to be able to use this?
- If they have been recently knocked out, they typically stay that way.

## Poison

The player is resistant to poisons by default, but this ability will passively make them completely invulnurable. Poison can be accumulated by eating poisonous plants, foods, or other items. This is required to use the active part of this ability.

- When active, your next attack, melee or ranged, will poison the enemy.
- Can be cancelled by using the ability a second time.
- Poison deals damage over time.
- Can kill the target if not treated.

## Drain

Allows the player to drain energy from downed or killed enemies to regain health.

- This is considered a "dark" ability, affecting the player's status.  
  More than just regularly killing and enemy, that is.
- Can also be used to remove poison without doing harm?
