# Overview

Please note that anything outside of this overview obviously includes **MASSIVE SPOILERS** as these will be used to keep track of goals, abilities, progression and more for the involved team members and people who may potentially be interested in contributing (or are just nosy).

- [Zones](zones.md)
- [Forms](forms.md)
- [Abilities](abilities.md)
- [Characters](characters.md)
- [Story](story.md)
- [Quests](quests.md)
- Progression

## Gameplay

- Third person view with ability to go first person to look around.
- There's 7 main [zones](zones.md) to explore, each with their sub-areas.
  - Travel between zones at the beginning is limited, either by movement ability checks, combat checks or quest checks. There should however be multiple ways to progress.
- Health is, in a way, correlated to "usable mass".
  - Other than combat, also affects certain abilities.
  - For example, some forms require a certain mass to maintain.
- Metroidvania-style progression? Acquire abilities and key items in key areas, through exploration, combat, and interaction with NPCs. Will have to go through things with the export in the field, NolamiAmada.
- Can be a pacifist, align with the human or monster faction, or become the ultimate evil!
  - As such, certain actions and choices can affect your reputation, and "karma".
  - Different endings depending on these choices?

### Combat

Enemies that are defeated don't automatically die. But the player has the ability to finish them off if they so choose. Certain abilities can kill enemies after a battle, such as bleed and poison.

## Style Inspiration

I would like to go for a simplistic low-poly style with pixelated textures. Hopefully this will allow us to create enough assets and variation without too too much effort, and allow the less artistic people to make adjustments?

`TODO:` Find some inspiration for the different zones and set some style guidelines.

![](images/inspiration/adventurers_glade_by_sully.png)  
Credit: ["Adventurer's Glade" by Brendan 'Sully' Sullivan](https://sketchfab.com/3d-models/adventurers-glade-lowpoly-pixel-scene-cdcdeaaa233f4a73a8bafcd1829a4e6e)

![](images/inspiration/hocu_by_max_hancock.png)  
Credit: ["Hocu" by Max Hancock](http://www.maxhancock.net/3d.html)
