# Zones

The game is split up into multiple distinct thematical zones, each with their own sub-areas. Freely traveling between areas, but especially zones, may require you to have unlocked an ability or finished a quest. Ideally there will be different available methods to move between zones.

- 🏘️ [Village](#️village)
- 🥕 [Farms](#️farms)
- 🌲 [Forest](#️forest)
- 🏖️ [Beach](#️beach)
- 💧 [Swamp](#️swamp)
- ⛰️ [Mountain](#️mountain)
- 🏰 [Capital](#️capital)

```
  🏰-----⛰️
  ####  /#\     # = River
 /   \## # \    | = Connection
🥕---🌲-#--🏘️
 \  ####   /
  \#/   \ /
  🏖️-----💧
```

For each "animal" in a zone, which is essentially just a low-level or domesticated version of a monster, there can also exist higher-level variants that can have humanoid, anthropomorphic forms, similar to the player character.

## Village

This is where you start out in the beginning of the game, before getting chased out. When returning here, should be a mid-game zone focusing on learning more about the story and end-game goal. The player has the option of reconnecting with the villagers and their adoptive family.

- Home to humans, pets.

## Farms

This is where you end up after getting chased out of the village, allowing you to regain your strength by sneaking around farms, stealing crops. The goal here is to eat enough varied crops to unlock [bouncy form](forms.md#bouncy). Farmers then request help from the capital, causing guards to patrol the area, making it more dangerous to stay.

- Home to humans, sheep, cows, cats.
- Sneak around and into farmers' buildings for shenanigans.

## Forest

Central connecting zone. Lots of progression checks to see if you can enter the other zones from here.

- Home to wolves, wild pigs, rabbits, deer, owls.
- Low to mid level monsters in the wild that get hunted by humans.
- Occasional camps of monster hunters, some abandoned.
- Trading outpost with decent security.
- Monster camps with champion beasts (anthro variants) defending key areas.  
  Very territorial, defensive, but typically don't directly go after humans.

## Beach

Laid back zone, most humans are friendly towards harmless monsters.

- Home to humans, squids, sharks.
- The squids' design miiight be a little inspired by Splatoon?
  - Unlock ranged [splat ability](abilities.md#splat) here?
- Beach episode with campfire party at night!
  - Unlock [humanoid form](forms.md#humanoid) here?
- Befriend either a fisher or shark to get you to an island?

## Swamp

- Home to slimes, frogs.
- Witch character?
  - Could unlock [poison ability](abilities.md#poison) here?
  - Potion brewing? Or just buy them?

## Mountain

End-game zone that has a lot of stronger monsters and hunters to keep them in check.

- Home to foxes, goats, lizards.
- Features cave(s).

## Capital

End-game zone requiring lots of abilities, quests, or combat, to achieve the end game goal.

- Home to humans.
